<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <NonVisualComponents>
    <Container class="javax.swing.JFrame" name="StudentsFrame">
      <Events>
        <EventHandler event="windowClosed" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="StudentsFrameWindowClosed"/>
        <EventHandler event="windowClosing" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="StudentsFrameWindowClosing"/>
      </Events>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="1" attributes="0">
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                          <Component id="StudentstoHome" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jScrollPane2" min="-2" pref="317" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Component id="jScrollPane1" pref="134" max="32767" attributes="0"/>
                              </Group>
                              <Group type="102" attributes="0">
                                  <Group type="103" groupAlignment="0" attributes="0">
                                      <Group type="102" alignment="0" attributes="0">
                                          <EmptySpace min="-2" pref="30" max="-2" attributes="0"/>
                                          <Group type="103" groupAlignment="1" attributes="0">
                                              <Component id="addStudentButton" min="-2" max="-2" attributes="0"/>
                                              <Component id="editStudentButton" min="-2" max="-2" attributes="0"/>
                                          </Group>
                                      </Group>
                                      <Group type="102" alignment="0" attributes="0">
                                          <EmptySpace type="separate" max="-2" attributes="0"/>
                                          <Component id="deleteStudentButton" min="-2" max="-2" attributes="0"/>
                                      </Group>
                                  </Group>
                                  <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <Component id="addStudentButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="editStudentButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="deleteStudentButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="jScrollPane1" max="32767" attributes="0"/>
                      </Group>
                      <Component id="jScrollPane2" pref="281" max="32767" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="StudentstoHome" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JButton" name="StudentstoHome">
          <Properties>
            <Property name="text" type="java.lang.String" value="Back"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="StudentstoHomeActionPerformed"/>
          </Events>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane2">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="StudentsTextArea">
              <Properties>
                <Property name="columns" type="int" value="20"/>
                <Property name="rows" type="int" value="5"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="addStudentButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Add Student"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="addStudentButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="editStudentButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Edit Student"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="editStudentButtonActionPerformed"/>
          </Events>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane1">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JList" name="studentNameChooser">
              <Properties>
                <Property name="model" type="javax.swing.ListModel" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                  <Connection code="new javax.swing.AbstractListModel() {&#xa;    String[] strings = myData.getStudentNames();&#xa;    public int getSize() { return strings.length; }&#xa;    public Object getElementAt(int i) { return strings[i]; }&#xa;}" type="code"/>
                </Property>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="deleteStudentButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Delete Student"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="deleteStudentButtonActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JFrame" name="GamesFrame">
      <Events>
        <EventHandler event="windowClosing" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="GamesFrameWindowClosing"/>
      </Events>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace pref="342" max="32767" attributes="0"/>
                  <Component id="GamestoHome" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace pref="259" max="32767" attributes="0"/>
                  <Component id="GamestoHome" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JButton" name="GamestoHome">
          <Properties>
            <Property name="text" type="java.lang.String" value="Back"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="GamestoHomeActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JFrame" name="editStudentFrame">
      <Events>
        <EventHandler event="windowClosing" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="editStudentFrameWindowClosing"/>
      </Events>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="nameField" min="-2" max="-2" attributes="0"/>
                      <Component id="gradeField" alignment="0" min="-2" max="-2" attributes="0"/>
                      <Component id="ratingField" alignment="0" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel4" alignment="0" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel5" alignment="0" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" pref="41" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jTextField5" min="-2" max="-2" attributes="0"/>
                      <Component id="jTextField4" min="-2" max="-2" attributes="0"/>
                      <Component id="jTextField1" min="-2" max="-2" attributes="0"/>
                      <Component id="jTextField2" min="-2" max="-2" attributes="0"/>
                      <Component id="jTextField3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace pref="212" max="32767" attributes="0"/>
              </Group>
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace max="32767" attributes="0"/>
                  <Component id="saveStudent" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="editStudentstoStudents" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="3" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="29" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jTextField1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="nameField" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jTextField2" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="gradeField" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jTextField3" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="ratingField" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jTextField4" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel4" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jTextField5" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace pref="71" max="32767" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="saveStudent" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="editStudentstoStudents" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JTextField" name="jTextField1">
          <Properties>
            <Property name="text" type="java.lang.String" value="jTextField1"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jTextField1ActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextField2">
          <Properties>
            <Property name="text" type="java.lang.String" value="jTextField2"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextField3">
          <Properties>
            <Property name="text" type="java.lang.String" value="jTextField3"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="nameField">
          <Properties>
            <Property name="text" type="java.lang.String" value="name:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="gradeField">
          <Properties>
            <Property name="text" type="java.lang.String" value="grade:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="ratingField">
          <Properties>
            <Property name="text" type="java.lang.String" value="rating:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel4">
          <Properties>
            <Property name="text" type="java.lang.String" value="jLabel4"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel5">
          <Properties>
            <Property name="text" type="java.lang.String" value="jLabel5"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextField4">
          <Properties>
            <Property name="text" type="java.lang.String" value="jTextField4"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextField5">
          <Properties>
            <Property name="text" type="java.lang.String" value="jTextField5"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="saveStudent">
          <Properties>
            <Property name="text" type="java.lang.String" value="Save"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="saveStudentActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="editStudentstoStudents">
          <Properties>
            <Property name="text" type="java.lang.String" value="Back"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="editStudentstoStudentsActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JFrame" name="errorFrame">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="errorMessage" max="32767" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="79" max="-2" attributes="0"/>
                  <Component id="errorBackButton" min="-2" max="-2" attributes="0"/>
                  <EmptySpace pref="78" max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="errorMessage" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="errorBackButton" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JButton" name="errorBackButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="OK"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="errorBackButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="errorMessage">
          <Events>
            <EventHandler event="componentShown" listener="java.awt.event.ComponentListener" parameters="java.awt.event.ComponentEvent" handler="errorMessageComponentShown"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
  </NonVisualComponents>
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="3"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <Events>
    <EventHandler event="windowClosing" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="formWindowClosing"/>
  </Events>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="211" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="ViewStudentsButton" min="-2" pref="174" max="-2" attributes="0"/>
                          <Component id="ViewGamesButton" min="-2" pref="174" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="228" max="-2" attributes="0"/>
                      <Component id="ChessClubManagerLabel" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace pref="215" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" pref="49" max="-2" attributes="0"/>
              <Component id="ChessClubManagerLabel" min="-2" pref="39" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="ViewStudentsButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="ViewGamesButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace pref="242" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="ChessClubManagerLabel">
      <Properties>
        <Property name="text" type="java.lang.String" value="Chess Club Manager"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="ViewStudentsButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="View Students"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="ViewStudentsButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="ViewGamesButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="View Games"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="ViewGamesButtonActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
